Favicon

You are here: Home > API Reference > UEM > Mdm Agent Trace > Delete a MDM agent trace record

DELETE /organizations/:organizationId/mdm/agent-trace/:mdmAgentTraceId

Permanently removes a specific MDM agent trace from the system.

DELETE
https://api.applivery.io/v1/organizations/{organizationId}/mdm/agent-trace/{mdmAgentTraceId}
curl -X DELETE "https://api.applivery.io/v1/organizations/{organizationId}/mdm/agent-trace/{mdmAgentTraceId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/agent-trace/{mdmAgentTraceId}", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.delete(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/agent-trace/{mdmAgentTraceId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
mdmAgentTraceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}